<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      <ion-icon
        class="ion-text-start"
        (click)="openMenu()"
        name="menu-outline"
      ></ion-icon>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-tabs>
    <ion-tab-bar slot="bottom">
      <ion-tab-button
        (click)="selectForm('folder')"
        [selected]="selected === 'folder'"
      >
        <ion-icon name="folder-open-outline"></ion-icon>
        <ion-label>Add folder</ion-label>
      </ion-tab-button>

      <ion-tab-button
        (click)="selectForm('note')"
        [selected]="selected === 'note'"
      >
        <ion-icon name="document-outline"></ion-icon>
        <ion-label>Add note</ion-label>
      </ion-tab-button>
    </ion-tab-bar>
  </ion-tabs>

  <div *ngIf="selected === 'folder'">
    <ion-grid>
      <ion-row>
        <ion-col size-md="6" offset-md="3">
          <ion-card>
            <ion-card-header>
              <ion-card-title>New folder</ion-card-title>
            </ion-card-header>
            <ion-card-content>
              <ion-item>
                <ion-label>Parent folder</ion-label>
                <ion-select  [(ngModel)]="parentFolder" placeholder="Select One">
                  <ion-select-option
                  class="custom-select"
                    ngDefaultControl
                    *ngFor="let folder of getFolderDepsMax(3)"
                    [value]="folder"
                    >
                  {{ folder.name }}</ion-select-option
                  >
                </ion-select>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Title</ion-label>
                <ion-input type="text" [(ngModel)]="titleFolder"></ion-input>
              </ion-item>
              <ion-label *ngIf="errors.titleFolder" color="danger"
                >{{errorMessages.titleFolder}}</ion-label
              >
              <ion-label *ngIf="errors.titleFolder2" color="danger"
              >{{errorMessages.titleFolder2}}</ion-label
              >
              <ion-item>
                <ion-label position="start">Icon</ion-label>
                <ion-icon
                  (click)="presentIconModal()"
                  class="ion-text-right"
                  style="font-size: 30px;"
                  [name]="icon"
                ></ion-icon>
              </ion-item>
              <ion-label *ngIf="errors.iconFolder" color="danger"
                >{{errorMessages.iconFolder}}</ion-label
              >
              <div class="ion-text-right ion-margin-vertical">
                <ion-button
                  color="danger"
                  (click)="clearForm('note')"
                >
                  <ion-icon slot="start" name="close"></ion-icon>
                </ion-button>

              </div>
            </ion-card-content>
          </ion-card>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
  <div *ngIf="selected === 'note'">
    <ion-grid>
      <ion-row>
        <ion-col size-md="6" offset-md="3">
          <ion-card>
            <ion-card-header>
              <ion-card-title>NOTE</ion-card-title>
            </ion-card-header>
            <ion-card-content>
              <ion-item>
                <ion-label position="floating">Title</ion-label>
                <ion-input type="text" [(ngModel)]="titleNote"></ion-input>
              </ion-item>
              <ion-label *ngIf="errors.titleNote" color="danger"
                >{{errorMessages.titleNote}}</ion-label
              >
              <ion-label *ngIf="errors.titleNote2" color="danger"
              >{{errorMessages.titleNote2}}</ion-label
              >
              <ion-item>
                <ion-label position="floating">Content</ion-label>
                <ion-textarea [(ngModel)]="contentNote"></ion-textarea>
              </ion-item>
              <ion-label *ngIf="errors.contentNote" color="danger"
                >{{errorMessages.contentNote}}</ion-label
              >
              <ion-item>
                <ion-label>Folder</ion-label>
                <ion-select [(ngModel)]="noteFolder" placeholder="Select One">
                  <ion-select-option
                    ngDefaultControl
                    *ngFor="let folder of getFolderDepsMax(4)"
                    [value]="folder.id"
                    >
                    {{ folder.name }}
                  </ion-select-option
                  >
                </ion-select>
              </ion-item>
              <ion-label *ngIf="errors.noteFolder" color="danger"
                >{{errorMessages.noteFolder}}</ion-label
              >
              <ion-item>
                <ion-label position="start">List</ion-label>
                <ion-icon
                  (click)="presentListModal()"
                  class="ion-text-right"
                  style="font-size: 30px;"
                  name="list-outline"
                ></ion-icon>
              </ion-item>
              <ion-item>
                <ion-label>Image</ion-label>
                <ion-icon *ngIf="this.loadedImage && this.loadedImage != 'undefined' && this.loadedImage != '0'" class="ion-text-end" name="checkbox-outline"></ion-icon>
                <ion-icon
                  *ngIf="!this.loadedImage || this.loadedImage == 'undefined'"
                  class="ion-text-end"
                  (click)="addImage()"
                  name="image-outline"
                ></ion-icon>
                <ion-icon 
                  *ngIf="!this.loadedImage || this.loadedImage == 'undefined'"
                  (click)="useCamera()"
                  class="ion-text-end"
                  name="camera-outline"></ion-icon>
              </ion-item>
              <div class="ion-text-right ion-margin-vertical">
                <ion-button color="danger" (click)="clearForm('note')">
                  <ion-icon slot="start" name="close"></ion-icon>
                </ion-button>

              </div>
            </ion-card-content>
          </ion-card>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
</ion-content>
